function love.load()
	ground = {}
	
	table.insert(ground, {
		x = 0,
		y = love.window.getHeight() - 32,
		width = love.window.getWidth(),
		height = 32
	})
	
	table.insert(ground, {
		x = 0,
		y = 500,
		width = 200,
		height = 32
	})
	
	player = {
		x = 100,
		y = 300,
		width = 32,
		height = 32,
		isGrounded = false,
		speed = 700,
		xSpeed = 0,
		ySpeed = 0,
		maxSpeed = 300,
		canJump = false
	}
	
	gravity = 1034
end

function love.update(dt)
	--all player movement
	if love.keyboard.isDown("d") then
		player.xSpeed = player.xSpeed + player.speed * dt
		player.x = player.x + player.xSpeed * dt
		if player.xSpeed >= player.maxSpeed then
			player.xSpeed = player.maxSpeed
		end
	elseif love.keyboard.isDown("a") then
		player.xSpeed = player.xSpeed + player.speed * dt
		player.x = player.x - player.xSpeed * dt
		if player.xSpeed >= player.maxSpeed then
			player.xSpeed = player.maxSpeed
		end
	else
		player.xSpeed = 0
	end
	function love.keypressed(key)
		if key == " " then
			if player.canJump then
				player.ySpeed = -500
				player.canJump = false
			end
		end
	end
	
	--gravity
	if not player.isGrounded then
		player.ySpeed = player.ySpeed + gravity * dt
		player.y = player.y + player.ySpeed * dt
	end
	--player collisions
	for i, g in ipairs(ground) do
		if getCollision(player.x, player.y, player.width, player.height, g.x,g.y,g.width, g.height) then
			isGrounded = true
			player.y = g.y - g.height
			player.ySpeed = 0
			player.canJump = true
		end
	end
end

function getCollision(x1,y1,w1,h1, x2,y2,w2,h2)
	return x1<x2+w2 and
			y1<y2+h2 and
			x2<x1+w1 and
			y2<y1+h1
end

function love.draw()
	love.graphics.rectangle("fill", player.x, player.y, player.width, player.height)
	for i, g in pairs(ground) do
		love.graphics.rectangle("fill", g.x, g.y, g.width, g.height)
	end
end